Subject: RE: List services use case (was Re: [Ecrit] Re:CommmentsI.D-ecrit-service-urn-03 Child helpline)

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Fri, 19 May 2006 13:50:39 -0400

Agree.  I just hadn't seen "language" as an input variable to tailor the
output (accompanying text) to the user's language.

Mike

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]] 
> Sent: Friday, May 19, 2006 1:29 PM
> To: Michael Hammer (mhammer)
> Cc: Brian Rosen; [email-masked]; Thomson, Martin
> Subject: Re: List services use case (was Re: [Ecrit] 
> Re:CommmentsI.D-ecrit-service-urn-03 Child helpline)
> 
> 
> 
> Michael Hammer (mhammer) wrote:
> > If I were French would I miss the difference between poison 
> and poisson?
> > 
> > There was a statement earlier that the urn's were protocol elements 
> > not visible to the end-user.
> > Is that true or not? 
> 
> Yes, that's certainly true. The idea is as follows:
> 
> The smart address book in your phone contains an entry for 
> all the usual services, but not all of which will be 
> available in the countries that you're visiting. Maybe the 
> poison control service will have the requisite skull symbol 
> on your phone or the appropriate label in your UI language of choice.
> 
> When you are in a new area, the mobile device queries for the 
> (say) urn:service:sos services. It fills in the services that 
> are supported locally, rather than individually querying for 
> all the services that may or may not be. (Say, mountain 
> rescue in Holland or marine rescue in
> Switzerland.)
> 
> The LoST response would include the dial string and, 
> possibly, a service description, using, if possible, the 
> language indicated in the LoST query or whatever languages 
> the local service provider has chosen. Maybe in France the 
> provider description would indicate "does not provide 
> information on selecting fish in restaurants and does not 
> deal with Piranhas."
> 
> In addition, there might be local services that your phone 
> does not know about. In those cases, depending on the device 
> preferences, these services might be added, with the 
> best-possible locally-provided description.
> 
>  From a protocol perspective, this is all pretty trivial.
> 
> Henning
> 

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit